"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.List = void 0;
const tslib_1 = require("tslib");
const List_1 = require("@reactionable/core/lib/crud/list/List");
const I18n_1 = require("@reactionable/core/lib/i18n/I18n");
const react_1 = tslib_1.__importDefault(require("react"));
const Table_1 = tslib_1.__importDefault(require("react-bootstrap/Table"));
function List(_a) {
    var { head, children } = _a, props = tslib_1.__rest(_a, ["head", "children"]);
    const { t } = I18n_1.useTranslation();
    return (react_1.default.createElement(List_1.List, Object.assign({}, props), ({ data }) => (react_1.default.createElement(Table_1.default, { striped: true, bordered: true, hover: true, responsive: true },
        react_1.default.createElement("thead", null,
            react_1.default.createElement("tr", null, head.map((item) => "string" === typeof item ? react_1.default.createElement("th", { key: item }, t(item)) : item))),
        react_1.default.createElement("tbody", null, data.items.map((item) => children(item)))))));
}
exports.List = List;
//# sourceMappingURL=List.js.map